#ifndef APPSMODEL_H
#define APPSMODEL_H

#include <QObject>
#include <QStandardItemModel>
#include <QHash>
#include <QMimeData>

#include "application.h"

class AppsModel : public QStandardItemModel
{
	Q_OBJECT
public:
	AppsModel(QObject *parent = 0);

	void appendItem(Application * application);
	Application * getItem(QStandardItem *item);
	QModelIndex getIndex(QString itemData);
	void clear();

private:
	QHash<QStandardItem*,Application*> applications;
};

#endif // APPSMODEL_H
