#ifndef FILEICONPROVIDER_H
#define FILEICONPROVIDER_H

#include <QFileIconProvider>
#include <QFileInfo>
#include <QIcon>
#include <QDir>
#include <QImageReader>
#include <QPixmap>
#include <QByteArray>

#include "application.h"

class FileIconProvider : public QFileIconProvider
{
	public:
		FileIconProvider();

		virtual QIcon icon ( const QFileInfo & info ) const;
        virtual QIcon icon (IconType iconType) const;

		void setPreviewImages(bool enable);
		bool getPreviewImages();

	private:
		bool previewImages;
};

#endif
