#include "initprogress.h"
#include "ui_initprogress.h"

InitProgress::InitProgress(QWidget *parent) :
	QWidget(parent),
	ui(new Ui::InitProgress)
{
	ui->setupUi(this);
	ui->progressBar->setUpdatesEnabled( true );
	setWindowFlags(Qt::FramelessWindowHint);
}

InitProgress::~InitProgress()
{
	delete ui;
}

void InitProgress::setProgress(int progress)
{
	ui->progressBar->setValue( progress );
	ui->progressBar->update();
	qApp->processEvents();
}
