#ifndef INITSCREEN_H
#define INITSCREEN_H

#include <QDialog>
#include <QMessageBox>
#include <QScreen>

#include "constants.h"

namespace Ui {
class InitScreen;
}

class InitScreen : public QDialog
{
    Q_OBJECT

public:
    explicit InitScreen(QWidget *parent = 0);
    ~InitScreen();

    void centerDialog();
    QString getPassword();
    QString getLanguage();

private slots:
    void on_buttonBox_accepted();

    void on_buttonBox_rejected();

private:
    Ui::InitScreen *ui;
};

#endif // INITSCREEN_H
