#ifndef MIME_H
#define MIME_H

#include <QString>
#include <QStringList>
#include <QIcon>
#include <QFile>
#include <QDir>
#include <QHash>
#include <QHashIterator>

#include "lwclient.h"
#include "application.h"

class Mime : public QObject
{
public:
	static void updateDesktopFiles();
	static QString addDesktopFile(Application * application);
	static void addApplication(Application * application, QString desktopFile, QHash<QString,QStringList> & mimeCacheData);
	static QHash<QString,QStringList> readMimeCacheFile();
	static void writeMimeCacheFile( QHash<QString,QStringList> mimeCache );
};

#endif // MIME_H
