#ifndef PLACESWIDGET_H
#define PLACESWIDGET_H

#include <QVBoxLayout>
#include <QPixmap>
#include <QLabel>
#include <QScrollArea>

#include "iconview.h"
#include "filesystemwidget.h"
#include "placesmodel.h"

class PlacesWidget : public IconView
{
	Q_OBJECT

	public:
		PlacesWidget(QWidget * parent = 0);

	public slots:
		void updatePlaces();
		void doubleClicked(QModelIndex index);
		void loadIconPositions();

	private slots:
		void saveIconPositions();

	private:
		void init();

		PlacesModel * model;
};

#endif
