#ifndef REMOTEAPPSERVER_H
#define REMOTEAPPSERVER_H

#include <QObject>
#include <QDesktopServices>
#include <QProcess>
#include <QUrl>

#include "lwclient.h"
#include "settings.h"

#include "liblwnet/lwsocket.h"

class RemoteAppServer : public QObject
{
	Q_OBJECT
public:
	RemoteAppServer(QObject *parent = 0);
	~RemoteAppServer();

	int startServer();

private:
	QString doResponse(QString question);
	QString openFile(QString fileName, QString remoteApplication = QString());
	//bool sendPortToServer(int port);
	QString getToken();
	QString authenticate(QString username, QString token);

	int port;
	bool isAuthenticated;
	QString token;
};

#endif // REMOTEAPPSERVER_H
