#include <QApplication>
#include <QStringList>

#include "../common/ldapinfo.h"

int main(int argc, char ** argv)
{
	LdapInfo * ldap = new LdapInfo("dc=liberus,dc=local", "localhost", 389);

	if ( ldap->authenticate( "cn=usuario,cn=users", "Dinsa.2013" ) )
	{
		QStringList list = ldap->getValues( "cn=Users", "cn=usuario", "progid");
		qDebug("Value: %s", list.join(",").toAscii().data() );

		list = ldap->getValues( "cn=Applications", "cn=ark", "description");
		qDebug("Value: %s", list.join(",").toAscii().data() );

		list = ldap->getValues( "cn=Applications", "cn=kwrite", "proggroup");
		qDebug("Value: %s", list.join(",").toAscii().data() );
	}

	ldap->close();
}

