#ifndef CLIPBOARDFILES_H
#define CLIPBOARDFILES_H

#include <QClipboard>
#include <QGuiApplication>
#include <QMimeData>
#include <QString>
#include <QList>
#include <QFileInfo>
#include <QUrl>
#include <QPair>

#include "constants.h"

class ClipboardFiles : public QObject
{
public:
	static bool isEmpty();
	static QPair<QList<QFileInfo>,bool> entries();
	static QPair<QList<QFileInfo>,bool> entries( const QMimeData * mimeData );
	static void setEntries(QList<QFileInfo> entries, bool cut);
};

#endif
