#include "cloudconfigwizardpage.h"

CloudConfigWizardPage::CloudConfigWizardPage(QWidget *parent) : QWizardPage(parent)
{
	validated = false;
}

bool CloudConfigWizardPage::validatePage()
{
	emit validating();
	return validated;
}

void CloudConfigWizardPage::setValid( bool validated )
{
	this->validated = validated;
}

bool CloudConfigWizardPage::isValid()
{
	return validated;
}
