#ifndef SPLITTER_H
#define SPLITTER_H

#include <QSplitter>
#include <QSplitterHandle>
#include <QPaintEvent>
#include <QPainter>
#include <QPalette>

#include "constants.h"

class SplitterHandle : public QSplitterHandle
{
	Q_OBJECT
public:
	SplitterHandle(Qt::Orientation o, QSplitter *parent = 0 );
protected:
	void paintEvent(QPaintEvent * event);
};

class Splitter : public QSplitter
{
	Q_OBJECT
public:
	Splitter(Qt::Orientation o, QWidget * parent = 0);
	Splitter(QWidget * parent = 0);
protected:
	QSplitterHandle * createHandle();

signals:

public slots:
};

#endif // SPLITTER_H
